function c=unarygenop(a,fun)
  % binary geneic operator
    % a is an amat object (N-by-m-by-n)
    
  if isamat(b) % b is an amat object
    assert( sum(abs(size(a)-size(b)))==0,'not the same size')
    values=op(a.values,b.values);
  elseif isnumeric(b)
    if isscalar(b)       % b is a scalar
      values=op(a.values,b);
    elseif size(a,2)==size(b,1) && size(a,3)==size(b,2) %b is a m-by-n matrix
      values=a.values;
      for i=1:size(b,1)
        for j=1:size(b,2)
          values(:,i,j)=op(values(:,i,j),b(i,j));
        end
      end
    else
      error('2nd parameter dimension failed!')
    end
  end
  c=amat(fun(a.values));
end
