function S=gitinfo()
% FUNCTION fc_bench.gitinfo(): returns some informations on the package/toolbox.
%
%    Copyright (C) 2018 F. Cuvelier
%
  S=struct('name','fc-bench', 'tag','0.0.5','commit','6793192b41aedd7635b7d0cc23f0f4d54fdfdddb','date', '2018-06-20','time','12-00-14','status',0);return; % automatically updated
  rep=fc_bench.path();
  if fc_tools.git.isrepository(rep)
    S=struct('name',  fc_tools.git.get_name(rep), ...
             'tag',   fc_tools.git.get_tag(rep), ...
             'commit',fc_tools.git.get_commit(rep), ...
             'date',  fc_tools.git.get_date(rep), ...
             'time',  fc_tools.git.get_time(rep), ...
             'status',fc_tools.git.isup2date(rep));
  else
    tag='';
    commit='';
    strdate='';
    strtime='';
    S=struct('name','fc-bench','tag',tag,'commit',commit,'date',strdate,'time',strtime,'status',-1);
  end
end
